/*
 *  FreqAnalyzer.h
 *  BeatDetection
 *
 *  Created by Serban Porumbescu on 11/8/10.
 *  Copyright 2010 Hidden Elephant Software. All rights reserved.
 *
 */

#ifndef FREQ_ANALYZER_H
#define FREQ_ANALYZER_H

class FreqAnalyzer
{
public:
   
   FreqAnalyzer();
   void AudioProcess (float *input, unsigned int length, unsigned int nChannels);
   void update();
   
   float filterConstLP;
   float filterConstHP;
   float beatLP;
   float beatHP;
   float beatLP_level;
   float beatHP_level;   
};

#endif // FREQ_ANALYZER_H