//
//  FMODBasicsViewController.h
//  FMODBasics
//
//  Created by Serban Porumbescu on 11/6/10.
//  Copyright 2010 Hidden Elephant Software. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "fmod.hpp"
#import "fmod_errors.h"

@interface FMODBasicsViewController : UIViewController {

   FMOD::System   *system;
   FMOD::Sound    *sound;
   FMOD::Channel  *channel;
   NSTimer        *timer;
   
}

- (IBAction)playSound;
- (void)timerUpdate:(NSTimer *)timer;

@end

